:root {
    --Purplish-blue: hsl(243, 100%, 62%);
    --Pastel-blue: hsl(228, 100%, 84%); 
    --Strawberry-red: hsl(354, 84%, 57%);
    --Cool-gray: hsl(231, 11%, 63%);
    --Light-gray: hsl(229, 24%, 87%); 
    --Magnolia: hsl(201, 33%, 92%); 
        --White: hsl(0, 0%, 100%);
    }

* {
    box-sizing: border-box;
    font-family: "Ubuntu", sans-serif;
    padding:0;
    margin: 0;
}

 .hidden {
    display: none;
 }

body {
    background-color: var(--White);
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    overflow-x: hidden;
}

img {
    max-width: 100%;
  }

.form {
    width: 100%;
    max-width: 900px;
    background-color: var(--Magnolia);
    border-radius: 1rem;
    box-shadow: 0px 0px 1px black;
  }

.form-container{
    display: flex;
    padding: 1rem;
    position: relative;
    min-height: 100vh;
}

.form-sidebar{
    background-image: url("./images/evt.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    width: 400px;
    height: 570px;
    padding: 3rem 2rem;
    display: flex;
    flex-direction: column;
    gap: 2rem;
    color: white;
    margin-right: 20px;
    border-radius: 10px;
    border-color: var(--Pastel-blue);
}

.circle {
    width: 40px;
    height: 40px;
    border: 2px solid var(--White);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--White);
    font-weight: 700;
}

.active .circle {
    background-color: #0B59DE !important;
    color: #F2F2F2 !important;
}


.err {
    border: 2px solid var(--Strawberry-red) !important;
}
  
.step {
    display: flex;
    align-items:center;
    gap: 0.8rem;
}
  
.step-content {
    display: flex;
    flex-direction: column;
    gap: 0.2rem;
}
  
.step-content span {
    text-transform: uppercase;
    color: var(--Light-gray);
    font-size: 16px;
    font-style: italic;
}

.step-content b {
    text-transform: uppercase;
    color: #F2F2F2;
}
  
.stp {
    display: none;
    flex-direction: column;
    justify-content: center;
}
  
.stp .header {
    margin-bottom: auto;
    padding-top: 2rem;
    line-height: 2.5rem;
}

.header .title {
    color: #0B59DE;
  }
  
.header .exp {
    color: var(--Cool-gray);
}
  
.btn-container {
    display: flex;
    justify-content: space-between;
    padding: 1rem;
    position: static;
    bottom: 0;
    left: 0;
    right: 0;
    width: 100%;
    z-index: 10; 
}


.next-stp {
    margin-top: 10px;
    margin-bottom: 2rem;
    margin-left: auto;
    border: none;
    padding: 1rem 2rem;
    border-radius: 7px;
    background-color: #0B59DE;
    color: white;
    cursor: pointer;
}

/* STEP 1 */
.step-1 {
    display: flex;
    width: 90%;
}
  
.step-1 form {
    display: flex;
    flex-direction: column;
    flex: 1;
    justify-content: center;
    gap: 1rem;
}
  
.label {
    color: #0B59DE;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
  
.step-1 form input {
    padding: 1rem;
    border: 2px solid var(--Cool-gray);
    border-radius: 10px;
    font-weight: 500;
    font-size: 1rem;
}
  
.step-1 form input:focus {
    outline-color: var(--Purplish-blue);
}
  
form input::placeholder {
    font-weight: 500;
    font-size: 1rem;
    font-family: inherit;
}
  
form .error {
    display: none;
    color: var(--Strawberry-red);
    font-size: 0.9rem;
    font-weight: 700;
}

/* STEP 2 */
.step-2 {
    display: none;
    width: 90%;
  }

  .checkbox-group {
    display: flex;
    gap: 1rem;
    flex-wrap: wrap;
}

.checkbox-item {
    display: flex;
    align-items: center;
    gap: 0.5rem;
}

.checkbox-item input[type="radio"] {
    width: 20px;
    height: 20px;
}

.label {
    margin-top: 1rem;
}

select {
    width: 100%;
    padding: 0.5rem;
    border: 1px solid var(--Cool-gray);
    border-radius: 5px;
    margin-top: 0.5rem;
}

#category{
    margin-bottom: 30px;

}
  
  .btns {
    display: flex;
    align-items: center;
    justify-content: space-between;
  }
  
  .prev-stp {
    margin-top: auto;
    margin-bottom: 2rem;
    border: none;
    font-weight: 700;
    background-color: transparent;
    padding: 1rem 2rem;
    border-radius: 7px;
    color: #205e62;
    cursor: pointer;
  }
  
  /* STEP 3 */
.step-3 {
    display: none;
    width: 80%;
}
  
.step-3 form {
    display: flex;
    flex-direction: column;
    flex: 1;
    justify-content: center;
    gap: 1.5rem;
}
 
  /* Styles for labels in the description */
  .step-3 .description label {
    font-weight: 700; /* Makes label text bold */
    user-select: none; /* Prevents label text selection */
  }
  
  /* transforming checkboxes (optional) */
  .step-3 input[type="checkbox"] {
    transform: scale(1.2); /* Scales up the checkboxes */
  }
  
  /* Style for the small text description */
  .step-3 .description small {
    font-family: 'Source Sans Pro', sans-serif; /* Use Source Sans Pro Italic font */
    font-style: italic; /* Italic style */
    font-weight: 550; /* Normal weight */
    color: #495057; /* Gray color for small text */
  }
  
  /* Style for the main lines (labels) */
  .step-3 .description label {
    font-family: 'Ubuntu', sans-serif; /* Use Ubuntu font */
    font-weight: 500; /* Bold font */
    color: #0B59DE; /* Custom blue color */
    font-size: 1.05rem; 
  }

  #accessibility-requirements, #other-special-request{
    padding: 0.3rem;
    border: 2px solid var(--Cool-gray);
    border-radius: 10px;
    font-weight: 500;
    font-size: 0.8rem;
  }


  /* STEP 4 */
  .step-4 {
    display: none;
    width: 80%;
  }

  .header{
    margin-bottom: 0.3rem;
  }

  .review{
    margin-top: 0;
    padding-top: 0;
  }
  
  .review-container {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
}

.review-item {
    flex: 1 1 calc(50% - 1rem); /* Two columns */
    display: flex;
    flex-direction: column;
}



.submit-rsvp {
    margin-top: 10px;
    margin-bottom: 2rem;
    margin-left: auto;
    border: none;
    padding: 1rem 2rem;
    border-radius: 7px;
    background-color: #0B59DE;
    color: white;
    cursor: pointer;
}

  
  /* step 5 */
  .step-5 {
    display: none;
    align-items: center;
    width: 90%;
    text-align: center;
    justify-content: center;
    margin: auto;
  }
  
  .step-5 button {
    display: none;
  }

  @media screen and (max-width: 800px) {
    body {
      position: relative;
      overflow-x: hidden;
    }
  
    .form-sidebar {
      position: fixed;
      top: 0;
      left: 0;
      right: 0;
      background-image: url("./images/back-evt.jpg");
      flex-direction: row;
      height: 250px;
      background-size: cover;
      width: 100%;
      align-items: flex-start;
      justify-content: center;
      z-index: -1;
    }
  
    .form {
      position: absolute;
      top: 16%; /* Give space below the sidebar */
      max-width: 375px;
      background-color: white;
      overflow: auto; /* Allow form content to scroll */
    }
    
    .form-container {
      padding: 2rem;
      overflow-y: auto; /* Ensure inner content can scroll */
    }
  
    .btns {
      position: sticky;
      bottom: 0;
      background-color: white;
      right: 0;
      left: 0;
      height: 100px;
      padding-inline: 1rem;
      z-index: 2;
    }
  
    .step-1 .btns button {
      margin: auto 0 auto auto;
    }
  
    .step-2 form {
      flex-direction: column;
      gap: 0.5rem;
    }
  
    .plan-card {
      width: 100%;
      height: 100px;
      flex-direction: row;
      justify-content: flex-start;
      gap: 1rem;
      align-items: center;
    }
  
    .step-content {
      display: none;
    }
  
   .stp {
      gap: 1rem;
      width: 100%;
    }
  
    .stp .header {
      padding-top: 0;
      display: flex;
      flex-direction: column;
      gap: 1rem;
      line-height: 1.5rem;
    }
  }